module Beaudll where
import CString 
import SQLParser
import SQLBeauty
import Text.ParserCombinators.Parsec

processStringInternal sql = 
	case (parse sqlParser "input" sql) of
		Right x  -> (show (beauty x))
		Left err -> (show err)

beautyfySQL :: CString -> IO CString
beautyfySQL s = do
	s <- peekCString s
	newCString (processStringInternal s)

foreign export stdcall beautyfySQL :: CString -> IO CString

